Bug 624799 - Clean up options in boot menu
Clean up options in boot menu
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Alan Pevec
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 15:49 EDT by Mike Burns
Modified: 2016-04-26 11:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: ovirt-node-1.9.3-9.git8ecebef.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:52:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (1.39 KB, patch)
2010-08-17 16:30 EDT, Mike Burns
no flags Details | Diff
Follow-on patch (4.07 KB, patch)
2010-08-20 16:29 EDT, Mike Burns
no flags Details | Diff

  None (edit)
Description Mike Burns 2010-08-17 15:49:28 EDT
Description of problem:
Current options are "boot" and "boot in standalone mode" which are not very accurate.  



Version-Release number of selected component (if applicable):
6.0-11

How reproducible:
Always

Steps to Reproduce:
1.Boot from CD-Rom/iso or USB
2.
3.
  
Actual results:


Expected results:


Additional info:

Proposed options:

Boot  -- boots using tty0 as the console
Boot using Serial port  -- boots using ttyS0 as the console

Otherwise, no difference in the options between the 2
Comment 2 Mike Burns 2010-08-17 16:30:18 EDT
Created attachment 439206 [details]
Patch
Comment 5 Alan Pevec 2010-08-20 07:28:02 EDT
(In reply to comment #0)

> Proposed options:
> 
> Boot  -- boots using tty0 as the console

It still has last console parameter with ttyS0 so firstboot menu shows up on serial only. console=ttyS0* must be removed from this option

> Boot using Serial port  -- boots using ttyS0 as the console

This one is ok.
Comment 6 Mike Burns 2010-08-20 16:29:43 EDT
Created attachment 440052 [details]
Follow-on patch

Follow on patch that fixes the issue in the previous comment as well as the following:

Title did not fit in space allowed - added in short product name option
Remove unnecessary Verify and Boot option - check is already included in base Boot and Boot with serial console options
Comment 9 Vivian Bian 2010-08-26 01:02:28 EDT
checked with rhev-hypervisor-6.0-13

steps:
1. mount -o loop /home/vbian/Desktop/rhev-hypervisor-6.0-13.iso /mnt
2. cat /mnt/isolinux/isolinux.cfg
  menu label Boot
  kernel vmlinuz0
  append initrd=initrd0.img root=live:CDLABEL=rhev-hypervisor rootfstype=auto ro liveimg console=tty0 rhgb rd_NO_LUKS rd_NO_MD rd_NO_DM  check rootflags=ro crashkernel=128M
menu default
label serial-console
  menu label Boot with serial console
  kernel vmlinuz0
  append initrd=initrd0.img root=live:CDLABEL=rhev-hypervisor rootfstype=auto ro liveimg console=tty0 rhgb rd_NO_LUKS rd_NO_MD rd_NO_DM  check rootflags=ro crashkernel=128M console=ttyS0,115200n8
label local
  menu label Boot from local drive
  localboot 0xffff


conclusion :
1. Boot -- work with tty0
2. Boot with serial conosle -- work with ttyS0
3. Boot from local drive -- boot into installed RHEVH directly 

there is no ambiguous option in boot menu now , so set bug status to VERIFIED
Comment 10 releng-rhel@redhat.com 2010-11-11 09:52:49 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.